Sync with portage [Mon Feb 11 12:15:25 MSK 2013].

mhiretskiy
root 11 years ago
parent 345d598dc5
commit 6e8705e901

@ -11,6 +11,7 @@ DIST dc9234e25ab0.tar.gz 1453876 SHA256 911a049e735c1ab0dfa65426ada7a11494d51fec
DIST icedtea-2.3.4.tar.gz 5043197 SHA256 ea859f37fb20904ffd40802a41396326f7e301fa6873d88d01bf4afef5a60ca8 SHA512 c236257579da2258571a995ba4180bcc2274cee6351a16503da51374fb39c60113064b6c125b81103f1ccc3ac4b609868771ee0647153ee6953d9b7a8763bdeb WHIRLPOOL 7b0f8db20f6818fe819644f8219ad13e2f6ca50b2e306f4784aeebc1fa4d0b798c29c8b9aeec7b4d08e5319e5a6739dcb2cb673969495b4b3c70084247703e8e
DIST icedtea6-1.11.5.tar.gz 6411576 SHA256 258d81d957f8ab9322fbaf7c90647f27f6b4e675504fa279858e6dfe513f7574 SHA512 ba09bb5e6e9f1fc4781fbee69f72360ede4d22c560c3232c2316f240c61e3ef2919d9987ca6a9a74dd9ea3365ab03a54d7006cf8354054866267a7edee48346a WHIRLPOOL d1c5b02521da961dba08361a1a49841cf15e57df188347bad42976ed0627197185c6503834c392e69617a77861aa09d95f4a3bb8141031815bf8142e2efe21bc
DIST icedtea6-1.12.0.tar.gz 6482285 SHA256 4f27f3f42b57836cfb11541736282ccfc22de3f4acc0e540560fcf5512d66ced SHA512 79a7b206438a5dcd6ad3a78a7a80f8d486325182ac1b9c1d22ae009147a22ab061684eba0bbf6498fc543b0b490f989170c71bc7f8175751c8f4a44071946c3c WHIRLPOOL a25d096865672fc1a0ffbcd9e03157a62d29e4c8cffaae05e714c44a4d43eacb6467b64193f8530a7b4bda56e63e6fbbf92df3d0dc0aca078c5b1fc5cac23671
DIST icedtea6-1.12.1.tar.gz 6668139 SHA256 8e73a3939ba8c2cca888defc6c90811c959273a9bc7bd1352338a72cefcf1157 SHA512 db44d7674e51320984a12f684cf4c9d2392af4e671988359b7cd581b5a740a790eee710f28eff988ac0c666893311b8d0c7cf302c0e38b8b9d03f8683d07d08f WHIRLPOOL 40fc32696b807061b9d85a81beab8f1ef31a6da9a900075d50780fdf436230da46fa7af06d092048e8859455191135cc1ca5e6cc371f91469e7ae4ea653694c1
DIST jamvm-0972452d441544f7dd29c55d64f1ce3a5db90d82.tar.gz 298435 SHA256 bfa706402ac934d24f7119eb78f6be65e91439a4b2e49dbcc21e288137808f03 SHA512 fa3428d8997f9696cce4fa32c9de677ef193bc12236ef8b431af647b57d26725f4a3019abc87ade0cf10c7d6a745c18eb78e8e126d6842e788c8cefcbd2b006d WHIRLPOOL d1ca7dc677b7abbd600262f30c2c3774f502ef661f3dca60d4664c87b50b9a90c808e106f607a1dde7b3f4cf44a7a4a9e647877a2cc3332866b6b2bd34eb2a2a
DIST jamvm-4617da717ecb05654ea5bb9572338061106a414d.tar.gz 294537 SHA256 47fce7bd556c1b1d29a93b8c45497e0d872b48b7f535066b303336f29d0f0d8d SHA512 8b479a23f4c2eb16100bb0745452c652849f8e18912756e2d9f8ac9cd395f4bcf89af89d6feda25c8ec41cb90b7f17bebe646637234ed360c65da2a45dbbac04 WHIRLPOOL b9ba7a0c73e16245c109f983435f00a9349c747cc5b5ef4592b8aaf7efc95af0992d9c897530a12e886e7f20687a290f70f3cb27529f1661bc37d76d00f2b2af
DIST jaxp144_03.zip 5964999 SHA256 c1a5348e17b330a7e4b18431e61a40efd2ba99a7da71102cf2c604478ef96012 SHA512 fe65d396d0a57bc2b5dd2d8b00b0ecea860d4e5a5c9cb489bc5b9d7abd90861dedd26088184de93807646277c23d3712e8af79e56251f079ef22ed5a3b8f9a90 WHIRLPOOL 16ebcc9715ca221b7a6cc802367b33b74636bf7fe06035df798d47a6de1ec8ab370027fa17b37e6e5f4dd1a1059a4f8ffd236a4c969594d9a7479b198a6928f4

@ -0,0 +1,317 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/icedtea/icedtea-6.1.12.1.ebuild,v 1.1 2013/02/11 05:51:50 sera Exp $
# Build written by Andrew John Hughes (gnu_andrew@member.fsf.org)
# *********************************************************
# * IF YOU CHANGE THIS EBUILD, CHANGE ICEDTEA-7.* AS WELL *
# *********************************************************
EAPI="4"
inherit java-pkg-2 java-vm-2 pax-utils prefix versionator virtualx
ICEDTEA_PKG=${PN}$(replace_version_separator 1 -)
OPENJDK_BUILD="27"
OPENJDK_DATE="26_oct_2012"
OPENJDK_TARBALL="openjdk-6-src-b${OPENJDK_BUILD}-${OPENJDK_DATE}.tar.gz"
JAXP_TARBALL="jaxp144_04.zip"
JAXWS_TARBALL="jdk6-jaxws2_1_6-2011_06_13.zip"
JAF_TARBALL="jdk6-jaf-b20.zip"
# Download cacao and jamvm regardless for use with EXTRA_ECONF
CACAO_TARBALL="68fe50ac34ec.tar.gz"
JAMVM_TARBALL="jamvm-0972452d441544f7dd29c55d64f1ce3a5db90d82.tar.gz"
DESCRIPTION="A harness to build OpenJDK using Free Software build tools and dependencies"
HOMEPAGE="http://icedtea.classpath.org"
SRC_URI="
http://icedtea.classpath.org/download/source/${ICEDTEA_PKG}.tar.gz
http://download.java.net/openjdk/jdk6/promoted/b${OPENJDK_BUILD}/${OPENJDK_TARBALL}
http://icedtea.classpath.org/download/drops/${JAXWS_TARBALL}
http://icedtea.classpath.org/download/drops/${JAF_TARBALL}
http://icedtea.classpath.org/download/drops/${JAXP_TARBALL}
http://icedtea.classpath.org/download/drops/cacao/${CACAO_TARBALL}
http://icedtea.classpath.org/download/drops/jamvm/${JAMVM_TARBALL}"
LICENSE="Apache-1.1 Apache-2.0 GPL-1 GPL-2 GPL-2-with-linking-exception LGPL-2 MPL-1.0 MPL-1.1 public-domain W3C"
SLOT="6"
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86"
IUSE="+X +alsa cacao cjk +cups debug doc examples javascript +jbootstrap +nsplugin
+nss pax_kernel pulseaudio +source systemtap test +webstart"
# Ideally the following were optional at build time.
ALSA_COMMON_DEP="
>=media-libs/alsa-lib-1.0"
CUPS_COMMON_DEP="
>=net-print/cups-1.2.12"
X_COMMON_DEP="
dev-libs/glib
>=media-libs/freetype-2.3.5
>=x11-libs/gtk+-2.8:2
>=x11-libs/libX11-1.1.3
>=x11-libs/libXext-1.1.1
>=x11-libs/libXi-1.1.3
>=x11-libs/libXrender-0.9.4
>=x11-libs/libXtst-1.0.3"
X_DEPEND="
>=x11-libs/libXau-1.0.3
>=x11-libs/libXdmcp-1.0.2
>=x11-libs/libXinerama-1.0.2
>=x11-libs/libXp-1.0.0
x11-proto/inputproto
>=x11-proto/xextproto-7.1.1
x11-proto/xineramaproto
x11-proto/xproto"
COMMON_DEP="
>=media-libs/giflib-4.1.6
>=media-libs/libpng-1.2
>=sys-libs/zlib-1.2.3
virtual/jpeg
javascript? ( dev-java/rhino:1.6 )
nss? ( >=dev-libs/nss-3.12.5-r1 )
pulseaudio? ( >=media-sound/pulseaudio-0.9.11 )
systemtap? ( >=dev-util/systemtap-1 )"
# media-fonts/lklug needs ppc ppc64 keywords
RDEPEND="${COMMON_DEP}
!dev-java/icedtea6
X? (
${X_COMMON_DEP}
media-fonts/dejavu
cjk? (
media-fonts/arphicfonts
media-fonts/baekmuk-fonts
!ppc? ( !ppc64? ( media-fonts/lklug ) )
media-fonts/lohit-fonts
media-fonts/sazanami
)
)
alsa? ( ${ALSA_COMMON_DEP} )
cups? ( ${CUPS_COMMON_DEP} )"
# Only ant-core-1.8.1 has fixed ant -diagnostics when xerces+xalan are not present.
# ca-certificates, perl and openssl are used for the cacerts keystore generation
# xext headers have two variants depending on version - bug #288855
# !eclipse-ecj-3.7 - bug #392587
# autoconf - as long as we use eautoreconf, version restrictions for bug #294918
DEPEND="${COMMON_DEP} ${ALSA_COMMON_DEP} ${CUPS_COMMON_DEP} ${X_COMMON_DEP}
|| (
>=dev-java/gcj-jdk-4.3
dev-java/icedtea-bin:6
dev-java/icedtea:6
)
app-arch/cpio
app-arch/unzip
app-arch/zip
app-misc/ca-certificates
>=dev-java/ant-core-1.8.1
dev-java/ant-nodeps
dev-lang/perl
>=dev-libs/libxslt-1.1.26
dev-libs/openssl
virtual/pkgconfig
sys-apps/lsb-release
${X_DEPEND}
pax_kernel? ( sys-apps/paxctl )"
PDEPEND="webstart? ( dev-java/icedtea-web:6 )
nsplugin? ( dev-java/icedtea-web:6[nsplugin] )"
S="${WORKDIR}"/${ICEDTEA_PKG}
pkg_setup() {
JAVA_PKG_WANT_BUILD_VM="
icedtea-6 icedtea-bin-6 icedtea6 icedtea6-bin
gcj-jdk"
JAVA_PKG_WANT_SOURCE="1.5"
JAVA_PKG_WANT_TARGET="1.5"
java-vm-2_pkg_setup
java-pkg-2_pkg_setup
}
src_unpack() {
unpack ${ICEDTEA_PKG}.tar.gz
}
java_prepare() {
# icedtea doesn't like some locales. #330433 #389717
export LANG="C" LC_ALL="C"
}
bootstrap_impossible() {
# Fill this according to testing what works and what not
has "${1}" # icedtea6 icedtea-6 icedtea6-bin icedtea-bin-6
}
src_configure() {
local config bootstrap enable_cacao
local vm=$(java-pkg_get-current-vm)
# IcedTea6 can't be built using IcedTea7; its class files are too new
# Whether to bootstrap
bootstrap="disable"
if use jbootstrap; then
if bootstrap_impossible "${vm}"; then
einfo "Bootstrap with ${vm} is currently not possible and thus disabled, ignoring USE=jbootstrap"
else
bootstrap="enable"
fi
fi
if has "${vm}" gcj-jdk; then
# gcj-jdk ensures ecj is present.
use jbootstrap || einfo "bootstrap is necessary when building with ${vm}, ignoring USE=\"-jbootstrap\""
bootstrap="enable"
fi
config="${config} --${bootstrap}-bootstrap"
# Always use HotSpot as the primary VM if available. #389521 #368669 #357633 ...
# Otherwise use CACAO
if ! has "${ARCH}" amd64 sparc x86; then
enable_cacao=yes
elif use cacao; then
ewarn 'Enabling CACAO on an architecture with HotSpot support; issues may result.'
ewarn 'If so, please rebuild with USE="-cacao"'
enable_cacao=yes
fi
if [[ ${enable_cacao} ]]; then
config="${config} --enable-cacao"
fi
# OpenJDK-specific parallelism support. Bug #389791, #337827
# Implementation modified from waf-utils.eclass
# Note that "-j" is converted to "-j1" as the system doesn't support --load-average
local procs=$(echo -j1 ${MAKEOPTS} | sed -r "s/.*(-j\s*|--jobs=)([0-9]+).*/\2/" )
config="${config} --with-parallel-jobs=${procs}";
einfo "Configuring using --with-parallel-jobs=${procs}"
if use javascript ; then
config="${config} --with-rhino=$(java-pkg_getjar rhino-1.6 js.jar)"
else
config="${config} --without-rhino"
fi
unset JAVA_HOME JDK_HOME CLASSPATH JAVAC JAVACFLAGS
econf ${config} \
--with-openjdk-src-zip="${DISTDIR}/${OPENJDK_TARBALL}" \
--with-jaxp-drop-zip="${DISTDIR}/${JAXP_TARBALL}" \
--with-jaxws-drop-zip="${DISTDIR}/${JAXWS_TARBALL}" \
--with-jaf-drop-zip="${DISTDIR}/${JAF_TARBALL}" \
--with-cacao-src-zip="${DISTDIR}/${CACAO_TARBALL}" \
--with-jamvm-src-zip="${DISTDIR}/${JAMVM_TARBALL}" \
--with-jdk-home="$(java-config -O)" \
--with-abs-install-dir=/usr/$(get_libdir)/icedtea${SLOT} \
--disable-downloading \
$(use_enable !debug optimizations) \
$(use_enable doc docs) \
$(use_enable nss) \
$(use_enable pulseaudio pulse-java) \
$(use_enable systemtap) \
$(use_with pax_kernel pax paxctl)
}
src_compile() {
# Would use GENTOO_VM otherwise.
export ANT_RESPECT_JAVA_HOME=TRUE
# Load the least that's needed to avoid possible classpath collisions.
export ANT_TASKS="ant-nodeps"
emake
}
src_test() {
# Use Xvfb for tests
unset DISPLAY
Xemake check
}
src_install() {
local dest="/usr/$(get_libdir)/icedtea${SLOT}"
local ddest="${ED}/${dest}"
dodir "${dest}"
dodoc README NEWS AUTHORS THANKYOU
dosym /usr/share/doc/${PF} /usr/share/doc/${PN}${SLOT}
cd openjdk.build/j2sdk-image || die
# Ensures HeadlessGraphicsEnvironment is used.
if ! use X; then
rm -r jre/lib/$(get_system_arch)/xawt || die
fi
# Don't hide classes
rm lib/ct.sym || die
#402507
mkdir jre/.systemPrefs || die
touch jre/.systemPrefs/.system.lock || die
touch jre/.systemPrefs/.systemRootModFile || die
# doins can't handle symlinks.
cp -vRP bin include jre lib man "${ddest}" || die
dodoc ASSEMBLY_EXCEPTION THIRD_PARTY_README
if use doc; then
# java-pkg_dohtml needed for package-list #302654
java-pkg_dohtml -r ../docs/* || die
fi
if use examples; then
dodir "${dest}/share";
cp -vRP demo sample "${ddest}/share/" || die
fi
if use source; then
cp src.zip "${ddest}" || die
fi
# Fix the permissions.
find "${ddest}" \! -type l \( -perm /111 -exec chmod 755 {} \; -o -exec chmod 644 {} \; \) || die
# Needs to be done before generating cacerts
java-vm_set-pax-markings "${ddest}"
# We need to generate keystore - bug #273306
einfo "Generating cacerts file from certificates in ${EPREFIX}/usr/share/ca-certificates/"
mkdir "${T}/certgen" && cd "${T}/certgen" || die
cp "${FILESDIR}/generate-cacerts.pl" . && chmod +x generate-cacerts.pl || die
for c in "${EPREFIX}"/usr/share/ca-certificates/*/*.crt; do
openssl x509 -text -in "${c}" >> all.crt || die
done
./generate-cacerts.pl "${ddest}/bin/keytool" all.crt || die
cp -vRP cacerts "${ddest}/jre/lib/security/" || die
chmod 644 "${ddest}/jre/lib/security/cacerts" || die
# Bug 390663
cp "${FILESDIR}"/fontconfig.Gentoo.properties.src "${T}"/fontconfig.Gentoo.properties || die
eprefixify "${T}"/fontconfig.Gentoo.properties
insinto "${dest}"/jre/lib
doins "${T}"/fontconfig.Gentoo.properties
set_java_env "${FILESDIR}/icedtea.env"
if ! use X || ! use alsa || ! use cups; then
java-vm_revdep-mask "${dest}"
fi
}
pkg_preinst() {
if has_version "<=dev-java/icedtea-6.1.10.4:${SLOT}"; then
# portage would preserve the symlink otherwise, related to bug #384397
rm -f "${EROOT}/usr/lib/jvm/icedtea6"
elog "To unify the layout and simplify scripts, the identifier of Icedtea-6*"
elog "has changed from 'icedtea6' to 'icedtea-6' starting from version 6.1.10.4-r1"
elog "If you had icedtea6 as system VM, the change should be automatic, however"
elog "build VM settings in /etc/java-config-2/build/jdk.conf are not changed"
elog "and the same holds for any user VM settings. Sorry for the inconvenience."
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/wayland/wayland-1.0.4.ebuild,v 1.2 2013/02/07 21:52:59 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/wayland/wayland-1.0.4.ebuild,v 1.3 2013/02/11 07:03:35 mattst88 Exp $
EAPI=4
@ -46,3 +46,8 @@ src_configure() {
fi
econf ${myconf}
}
src_test() {
export XDG_RUNTIME_DIR="${T}"
default
}

@ -3,3 +3,4 @@ DIST jquery-rails-2.0.2.gem 264192 SHA256 09545ba28d859187918f333e43878428d4216f
DIST jquery-rails-2.1.3.gem 268800 SHA256 71d80b10a45fa95e61f34731311878e9f690b6e7e69353b6b704d91cd58acacc SHA512 88b4d768c959df453f9280b3aaeca82a884583046431037ef86ccd062ce433abafad47141adb49de89fc22d8997b8a8e11aa1727e12580c4a75c58a8546d6214 WHIRLPOOL e193fb691f6c3f353f4f9630fc6ed8deeae4f14cd230019d0693984eb4315663bebfc3b9d0087ec0cd05e575e920c1026b787415422e8d59e75c64df2a227382
DIST jquery-rails-2.1.4.gem 301568 SHA256 03acc05e3513144c3eab7561d115507768b194ad2edd9806f9138ff0621a1f70 SHA512 864c65f4a22f7ee8db8ec5f81b75746de296329759aae8727c7b49f773f8a59afcd720b7594bb7da62db8e75f386db3c568bdfa860574c7d0f1c9adc75d1b222 WHIRLPOOL ab76aa524dd7ff01c65f4103c1caa73224961bbc19b87dcb50e8d52190dc2d6a14c73a9675d054f27f26c3e1ee6f4a4899dd44ae337c3049880a03fd030f989a
DIST jquery-rails-2.2.0.gem 356864 SHA256 f2865a362ea1e1efc279a21ab896d1958ced79fef8b572879a7a03d45f9ec47c SHA512 f2106181fc029e17bed65186f1165f286a30278a7ce1e5fc69d653324177b2e6b5ead8965de52c0bf791955a724f17bae499ec75aa51247309808631a9aa0ef4 WHIRLPOOL f14528206593bebc510295887626a157aa8a2fe9e694252917e63cc3eb5b630cfdefda99e2fdb320cfb489bf702803b0d0ad35fd6fdda3f85b3ab1062773d0a8
DIST jquery-rails-2.2.1.gem 356352 SHA256 dc5d3a6ad4e6566f921d877ddc73c4b4abd2394be89fa316fe7ec9c1dcc2fac0 SHA512 969a8a319d790307d07081855224e3507806e717fb3f18b6b151a39f39bf6c2ae1c7f74c3a523734ecb6e89daa2daa3f69d8c19dd83174bbe899588b40b755dc WHIRLPOOL cc0bbcd333ce435d3e207d28d9d67c155ae79a35d429d9366b5b3a07042d49dd2a09e517aa53af21c204fd1e2be7f114c2c123d152c6e8ec540e0c579d2c6d7b

@ -0,0 +1,32 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/jquery-rails/jquery-rails-2.2.1.ebuild,v 1.1 2013/02/11 07:12:44 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ree18"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_EXTRAINSTALL="vendor"
RUBY_FAKEGEM_GEMSPEC="jquery-rails.gemspec"
inherit ruby-fakegem
DESCRIPTION="jQuery! For Rails! So great."
HOMEPAGE="http://www.rubyonrails.org"
LICENSE="MIT"
SLOT="2"
KEYWORDS="~amd64 ~arm ~x86 ~x64-macos"
IUSE=""
ruby_add_rdepend ">=dev-ruby/railties-3.0 >=dev-ruby/thor-0.14"
all_ruby_prepare() {
sed -i -e '/git ls-files/d' jquery-rails.gemspec || die
}

@ -2,6 +2,7 @@ DIST MesaLib-7.10.3.tar.bz2 6056837 SHA256 1e701fc839b872677ddca9ed8784d754c9da1
DIST MesaLib-7.11.2.tar.bz2 6257280 SHA256 57746aa8c60bc6f5596ec6c6c7274de40fa12edce5ec33fe899e704fa00b5357 SHA512 f9f93aeb5ba3e4f0cdd7041a7bba6cd18dd8f58446b796849f43c6037297011df826017c32e03f03c8527d4afd3b9096e9ae3cbfb3c86b4ad145c66867198c21 WHIRLPOOL 0cf1b328b95e4f09e549c8adb2f6dc67e36c48ef570c1a5fda73efad54b8327cbec896d67bd01838be8bba7274f32704feca3fde8bb68bf1141563d17e8be707
DIST MesaLib-8.0.4.tar.bz2 5737052 SHA256 02ed19f4f5f6535dda03a9932a81438aa78ea723ebba1f39a3d49a70a4e1d07e SHA512 b7e8879e92252d0588d9eeeed904fd502ce1f48551b9a97f52aeb1318c79a80fab27504521107d61fbb5d986b2d778d89023a892baf9f1c5a5d2ee3746fefa57 WHIRLPOOL 5371a13e93e2d43264e2580e1e5e28ed85b6bfbdda9dd89104b1c18e62d35417e20b0ed8f13d8c54f58b83875fac9348d57f14ba08e4a88599e5fc0202502173
DIST MesaLib-9.0.1.tar.bz2 6115959 SHA256 57a7ba83bace3f3a7dc0929fe026ef5f0ad454234ec4ad8a3e0d31650a75db6f SHA512 0f074eadffe3d6cddc4b402d259df9bac2d1147093d77d35bd66a9e1f0cf4569c80f03e0c98d55c9b5924d81bcef535f21b458064bb65f626c08e5265fb820b9 WHIRLPOOL a9e589836f9165e945d9b0fc636b74f2e497c6e198afc9d14a69b1fe181b49f2655ae06340692dbfb749c1570ef19e58ee2d63558d632e1eaed09d7562e4c71a
DIST MesaLib-9.1-devel.tar.bz2 6123417 SHA256 bab7409b05aa1b6ac39a5420c59d602a832ba093132ab3d571b4013eb59e6df0 SHA512 859d43a41d0ed43b5167a6556697d44238b28a39d8fd81dd570396c7062ee3374dbd10858320fd223780c78af4807a4cc2b55a0bb59ee498cc0f77023f460610 WHIRLPOOL 13571cbdbec872eeed3bb5b20c482ff2468274c02a61aef5ed40eb83c01845d7a438842154fc002f70d61e605c549ceb402ffef28ed32792912b039f120f423e
DIST mesa-7.10.1-gentoo-patches-01.tar.bz2 5488 SHA256 31cd4f6d1a0a70249c40452919074856d120cd473a01a8457e3dc147a1b622d8 SHA512 c62b45b32e396e67f629003fc5242b7b4df054b8e20b5237489212bc4f0171534915a02fc9efa68965068121d10660b5cd92a419efabe33fd4596a97a39249c2 WHIRLPOOL 5f171959e3a31f5c38438b4806ce371bb8fdf1c7a87501865e4ed5d5ab284cda9568b7773005997d7a1cff151f95e64c027b36c0be48a4dd288a7ab8b5f69b97
DIST mesa-7.11.2-gentoo-patches-01.tar.bz2 4021 SHA256 e1e29d335f7e0c69824041a92b1815cd4e2defa4689285c86ea59d47a7ef407b SHA512 0dcd60bd40efa25c9895150b6c0230e6582ff42ba0bafae49290e170948ee99ff25be321e7d3d503b3f465eeedcd145fc46b312a54d9bc4d3577fd5e61c3439b WHIRLPOOL 8a4a5c250430ebc08d7081158c6cc41ea7b5718662ef0327e5829c2f26069be0bed7a0df12c82434c58d364926404c929ca9881847554b74906db195b12d6576
DIST mesa-8.0.4-gentoo-patches-01.tar.bz2 2380 SHA256 bad7443e7163b87b3c14f8f56568551300fe190f58531fdba4fdabd36c2db842 SHA512 855834bc13decb46ab0b81e75002d873d2f40f67c9b1770b2d33e892beffffb32c229db71df72bea24d74ec515a0890a89dc9221cb22bba59c50182c654be676 WHIRLPOOL c78b4fe32d6b3246c7dffa2b7b9c216e13323ece677129618b2333d620f81777e8a23f13c956f88cd3aa0ae790d0a102d4f1c1e96c9ca5a13b3583a14cb2288b

@ -0,0 +1,413 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-9.1_rc1.ebuild,v 1.1 2013/02/11 06:51:53 mattst88 Exp $
EAPI=5
EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
if [[ ${PV} = 9999* ]]; then
GIT_ECLASS="git-2"
EXPERIMENTAL="true"
fi
inherit base autotools multilib flag-o-matic toolchain-funcs ${GIT_ECLASS}
OPENGL_DIR="xorg-x11"
MY_PN="${PN/m/M}"
MY_P="${MY_PN}-${PV/_rc1/-devel}"
MY_SRC_P="${MY_PN}Lib-${PV/_rc1/-devel}"
FOLDER="${PV/_rc*/}"
DESCRIPTION="OpenGL-like graphic library for Linux"
HOMEPAGE="http://mesa3d.sourceforge.net/"
#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
if [[ $PV = 9999* ]]; then
SRC_URI="${SRC_PATCHES}"
else
SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
${SRC_PATCHES}"
fi
# The code is MIT/X11.
# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
LICENSE="MIT SGI-B-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
INTEL_CARDS="i915 i965 intel"
RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} nouveau vmware"
for card in ${VIDEO_CARDS}; do
IUSE_VIDEO_CARDS+=" video_cards_${card}"
done
IUSE="${IUSE_VIDEO_CARDS}
bindist +classic debug +egl +gallium gbm gles1 gles2 +llvm +nptl
openvg osmesa pax_kernel pic r600-llvm-compiler selinux +shared-glapi vdpau
wayland xvmc xa xorg kernel_FreeBSD"
REQUIRED_USE="
llvm? ( gallium )
openvg? ( egl gallium )
gbm? ( shared-glapi )
gles1? ( egl )
gles2? ( egl )
r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeon ) )
xa? ( gallium )
xorg? ( gallium )
video_cards_intel? ( || ( classic gallium ) )
video_cards_i915? ( || ( classic gallium ) )
video_cards_i965? ( classic )
video_cards_nouveau? ( || ( classic gallium ) )
video_cards_radeon? ( || ( classic gallium ) )
video_cards_r100? ( classic )
video_cards_r200? ( classic )
video_cards_r300? ( gallium )
video_cards_r600? ( gallium )
video_cards_radeonsi? ( gallium llvm )
video_cards_vmware? ( gallium )
"
LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.42"
# keep correct libdrm and dri2proto dep
# keep blocks in rdepend for binpkg
RDEPEND="
!<x11-base/xorg-server-1.7
!<=x11-proto/xf86driproto-2.0.3
classic? ( app-admin/eselect-mesa )
gallium? ( app-admin/eselect-mesa )
>=app-admin/eselect-opengl-1.2.7
dev-libs/expat
gbm? ( virtual/udev )
>=x11-libs/libX11-1.3.99.901
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXxf86vm
>=x11-libs/libxcb-1.8.1
vdpau? ( >=x11-libs/libvdpau-0.4.1 )
wayland? ( >=dev-libs/wayland-1.0.3 )
xorg? (
x11-base/xorg-server
x11-libs/libdrm[libkms]
)
xvmc? ( >=x11-libs/libXvMC-1.0.6 )
${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
"
for card in ${INTEL_CARDS}; do
RDEPEND="${RDEPEND}
video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
"
done
for card in ${RADEON_CARDS}; do
RDEPEND="${RDEPEND}
video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
"
done
DEPEND="${RDEPEND}
llvm? (
>=sys-devel/llvm-2.9
r600-llvm-compiler? ( >=sys-devel/llvm-3.1 )
video_cards_radeonsi? ( >=sys-devel/llvm-3.1 )
)
=dev-lang/python-2*
dev-libs/libxml2[python]
sys-devel/bison
sys-devel/flex
virtual/pkgconfig
>=x11-proto/dri2proto-2.6
>=x11-proto/glproto-1.4.15-r1
>=x11-proto/xextproto-7.0.99.1
x11-proto/xf86driproto
x11-proto/xf86vidmodeproto
"
S="${WORKDIR}/${MY_P}"
# It is slow without texrels, if someone wants slow
# mesa without texrels +pic use is worth the shot
QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
# Think about: ggi, fbcon, no-X configs
pkg_setup() {
# workaround toc-issue wrt #386545
use ppc64 && append-flags -mminimal-toc
}
src_unpack() {
default
[[ $PV = 9999* ]] && git-2_src_unpack
}
src_prepare() {
# apply patches
if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
EPATCH_FORCE="yes" \
EPATCH_SOURCE="${WORKDIR}/patches" \
EPATCH_SUFFIX="patch" \
epatch
fi
# relax the requirement that r300 must have llvm, bug 380303
epatch "${FILESDIR}"/${PN}-8.1-dont-require-llvm-for-r300.patch
# fix for hardened pax_kernel, bug 240956
[[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
# Solaris needs some recent POSIX stuff in our case
if [[ ${CHOST} == *-solaris* ]] ; then
sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
fi
# Tests fail against python-3, bug #407887
sed -i 's|/usr/bin/env python|/usr/bin/env python2|' src/glsl/tests/compare_ir || die
base_src_prepare
eautoreconf
}
src_configure() {
local myconf
if use classic; then
# Configurable DRI drivers
driver_enable swrast
# Intel code
driver_enable video_cards_i915 i915
driver_enable video_cards_i965 i965
if ! use video_cards_i915 && \
! use video_cards_i965; then
driver_enable video_cards_intel i915 i965
fi
# Nouveau code
driver_enable video_cards_nouveau nouveau
# ATI code
driver_enable video_cards_r100 radeon
driver_enable video_cards_r200 r200
if ! use video_cards_r100 && \
! use video_cards_r200; then
driver_enable video_cards_radeon radeon r200
fi
fi
if use egl; then
myconf+="
--with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm")
$(use_enable gallium gallium-egl)
"
fi
if use gallium; then
myconf+="
$(use_enable llvm gallium-llvm)
$(use_enable openvg)
$(use_enable r600-llvm-compiler)
$(use_enable vdpau)
$(use_enable xvmc)
"
gallium_enable swrast
gallium_enable video_cards_vmware svga
gallium_enable video_cards_nouveau nouveau
gallium_enable video_cards_i915 i915
if ! use video_cards_i915; then
gallium_enable video_cards_intel i915
fi
gallium_enable video_cards_r300 r300
gallium_enable video_cards_r600 r600
gallium_enable video_cards_radeonsi radeonsi
if ! use video_cards_r300 && \
! use video_cards_r600; then
gallium_enable video_cards_radeon r300 r600
fi
fi
# x86 hardened pax_kernel needs glx-rts, bug 240956
if use pax_kernel; then
myconf+="
$(use_enable x86 glx-rts)
"
fi
# build fails with BSD indent, bug #428112
use userland_GNU || export INDENT=cat
econf \
--enable-dri \
--enable-glx \
$(use_enable !bindist texture-float) \
$(use_enable debug) \
$(use_enable egl) \
$(use_enable gbm) \
$(use_enable gles1) \
$(use_enable gles2) \
$(use_enable nptl glx-tls) \
$(use_enable osmesa) \
$(use_enable !pic asm) \
$(use_enable shared-glapi) \
$(use_enable xa) \
$(use_enable xorg) \
--with-dri-drivers=${DRI_DRIVERS} \
--with-gallium-drivers=${GALLIUM_DRIVERS} \
${myconf}
}
src_install() {
base_src_install
find "${ED}" -name '*.la' -exec rm -f {} + || die
if use !bindist; then
dodoc docs/patents.txt
fi
# Install config file for eselect mesa
insinto /usr/share/mesa
newins "${FILESDIR}/eselect-mesa.conf.8.1" eselect-mesa.conf
# Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
# because user can eselect desired GL provider.
ebegin "Moving libGL and friends for dynamic switching"
local x
local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
dodir ${gl_dir}/{lib,extensions,include/GL}
for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
if [ -f ${x} -o -L ${x} ]; then
mv -f "${x}" "${ED}${gl_dir}"/lib \
|| die "Failed to move ${x}"
fi
done
for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
if [ -f ${x} -o -L ${x} ]; then
mv -f "${x}" "${ED}${gl_dir}"/include/GL \
|| die "Failed to move ${x}"
fi
done
for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
if [ -d ${x} ]; then
mv -f "${x}" "${ED}${gl_dir}"/include \
|| die "Failed to move ${x}"
fi
done
eend $?
if use classic || use gallium; then
ebegin "Moving DRI/Gallium drivers for dynamic switching"
local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
keepdir /usr/$(get_libdir)/dri
dodir /usr/$(get_libdir)/mesa
for x in ${gallium_drivers[@]}; do
if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
|| die "Failed to move ${x}"
insinto "/usr/$(get_libdir)/dri/"
if [ -f "${S}/$(get_libdir)/${x}" ]; then
insopts -m0755
doins "${S}/$(get_libdir)/${x}"
fi
fi
done
for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
if [ -f ${x} -o -L ${x} ]; then
mv -f "${x}" "${x/dri/mesa}" \
|| die "Failed to move ${x}"
fi
done
pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
ln -s ../mesa/*.so . || die "Creating symlink failed"
# remove symlinks to drivers known to eselect
for x in ${gallium_drivers[@]}; do
if [ -f ${x} -o -L ${x} ]; then
rm "${x}" || die "Failed to remove ${x}"
fi
done
popd
eend $?
fi
}
pkg_postinst() {
# Switch to the xorg implementation.
echo
eselect opengl set --use-old ${OPENGL_DIR}
# switch to xorg-x11 and back if necessary, bug #374647 comment 11
OLD_IMPLEM="$(eselect opengl show)"
if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
eselect opengl set ${OPENGL_DIR}
eselect opengl set ${OLD_IMPLEM}
fi
# Select classic/gallium drivers
if use classic || use gallium; then
eselect mesa set --auto
fi
# warn about patent encumbered texture-float
if use !bindist; then
elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
elog "enabled. Please see patents.txt for an explanation."
fi
local using_radeon r_flag
for r_flag in ${RADEON_CARDS}; do
if use video_cards_${r_flag}; then
using_radeon=1
break
fi
done
if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
elog "Note that in order to have full S3TC support, it is necessary to install"
elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
elog "textures in some apps, and some others even require this to run."
fi
}
# $1 - VIDEO_CARDS flag
# other args - names of DRI drivers to enable
# TODO: avoid code duplication for a more elegant implementation
driver_enable() {
case $# in
# for enabling unconditionally
1)
DRI_DRIVERS+=",$1"
;;
*)
if use $1; then
shift
for i in $@; do
DRI_DRIVERS+=",${i}"
done
fi
;;
esac
}
gallium_enable() {
case $# in
# for enabling unconditionally
1)
GALLIUM_DRIVERS+=",$1"
;;
*)
if use $1; then
shift
for i in $@; do
GALLIUM_DRIVERS+=",${i}"
done
fi
;;
esac
}

@ -1 +0,0 @@
DIST ivtv-firmware-20080701.tar.gz 125526 SHA256 f9c4250658b24579b9f726bf44097d1728c4a5db3bce64ee9fd0c5e8ff2a79f1

@ -1,22 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-tv/ivtv-firmware/ivtv-firmware-20080701.ebuild,v 1.4 2013/02/11 04:36:09 cardoe Exp $
DESCRIPTION="firmware for Hauppauge PVR-x50 and Conexant 2341x based cards"
HOMEPAGE="http://www.ivtvdriver.org/index.php/Firmware"
SRC_URI="http://dl.ivtvdriver.org/ivtv/firmware/${P}.tar.gz"
LICENSE="Hauppauge-Firmware"
KEYWORDS="amd64 ppc x86"
SLOT=0
IUSE=""
RDEPEND=""
S="${WORKDIR}"
src_install() {
dodir /lib/firmware
insinto /lib/firmware
doins *.fw
doins *.mpg
}

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>mythtv</herd>
<maintainer>
<email>cardoe@gentoo.org</email>
</maintainer>
</pkgmetadata>

@ -1 +1 @@
Mon, 11 Feb 2013 05:06:58 +0000
Mon, 11 Feb 2013 07:36:52 +0000

@ -1 +1 @@
Mon, 11 Feb 2013 05:06:59 +0000
Mon, 11 Feb 2013 07:36:52 +0000

@ -0,0 +1,14 @@
DEFINED_PHASES=compile configure install postinst postrm preinst prepare prerm setup test unpack
DEPEND=>=media-libs/giflib-4.1.6 >=media-libs/libpng-1.2 >=sys-libs/zlib-1.2.3 virtual/jpeg javascript? ( dev-java/rhino:1.6 ) nss? ( >=dev-libs/nss-3.12.5-r1 ) pulseaudio? ( >=media-sound/pulseaudio-0.9.11 ) systemtap? ( >=dev-util/systemtap-1 ) >=media-libs/alsa-lib-1.0 >=net-print/cups-1.2.12 dev-libs/glib >=media-libs/freetype-2.3.5 >=x11-libs/gtk+-2.8:2 >=x11-libs/libX11-1.1.3 >=x11-libs/libXext-1.1.1 >=x11-libs/libXi-1.1.3 >=x11-libs/libXrender-0.9.4 >=x11-libs/libXtst-1.0.3 || ( >=dev-java/gcj-jdk-4.3 dev-java/icedtea-bin:6 dev-java/icedtea:6 ) app-arch/cpio app-arch/unzip app-arch/zip app-misc/ca-certificates >=dev-java/ant-core-1.8.1 dev-java/ant-nodeps dev-lang/perl >=dev-libs/libxslt-1.1.26 dev-libs/openssl virtual/pkgconfig sys-apps/lsb-release >=x11-libs/libXau-1.0.3 >=x11-libs/libXdmcp-1.0.2 >=x11-libs/libXinerama-1.0.2 >=x11-libs/libXp-1.0.0 x11-proto/inputproto >=x11-proto/xextproto-7.1.1 x11-proto/xineramaproto x11-proto/xproto pax_kernel? ( sys-apps/paxctl ) >=dev-java/java-config-2.1.9-r1 =dev-java/java-config-2* || ( app-admin/eselect-java <dev-java/java-config-2.2 ) test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )
DESCRIPTION=A harness to build OpenJDK using Free Software build tools and dependencies
EAPI=4
HOMEPAGE=http://icedtea.classpath.org
IUSE=+X +alsa cacao cjk +cups debug doc examples javascript +jbootstrap +nsplugin +nss pax_kernel pulseaudio +source systemtap test +webstart elibc_FreeBSD test
KEYWORDS=~amd64 ~arm ~ia64 ~ppc ~ppc64 ~x86
LICENSE=Apache-1.1 Apache-2.0 GPL-1 GPL-2 GPL-2-with-linking-exception LGPL-2 MPL-1.0 MPL-1.1 public-domain W3C
PDEPEND=webstart? ( dev-java/icedtea-web:6 ) nsplugin? ( dev-java/icedtea-web:6[nsplugin] )
RDEPEND=>=media-libs/giflib-4.1.6 >=media-libs/libpng-1.2 >=sys-libs/zlib-1.2.3 virtual/jpeg javascript? ( dev-java/rhino:1.6 ) nss? ( >=dev-libs/nss-3.12.5-r1 ) pulseaudio? ( >=media-sound/pulseaudio-0.9.11 ) systemtap? ( >=dev-util/systemtap-1 ) !dev-java/icedtea6 X? ( dev-libs/glib >=media-libs/freetype-2.3.5 >=x11-libs/gtk+-2.8:2 >=x11-libs/libX11-1.1.3 >=x11-libs/libXext-1.1.1 >=x11-libs/libXi-1.1.3 >=x11-libs/libXrender-0.9.4 >=x11-libs/libXtst-1.0.3 media-fonts/dejavu cjk? ( media-fonts/arphicfonts media-fonts/baekmuk-fonts !ppc? ( !ppc64? ( media-fonts/lklug ) ) media-fonts/lohit-fonts media-fonts/sazanami ) ) alsa? ( >=media-libs/alsa-lib-1.0 ) cups? ( >=net-print/cups-1.2.12 ) >=dev-java/java-config-2.1.9-r1 =dev-java/java-config-2* || ( app-admin/eselect-java <dev-java/java-config-2.2 )
SLOT=6
SRC_URI=http://icedtea.classpath.org/download/source/icedtea6-1.12.1.tar.gz http://download.java.net/openjdk/jdk6/promoted/b27/openjdk-6-src-b27-26_oct_2012.tar.gz http://icedtea.classpath.org/download/drops/jdk6-jaxws2_1_6-2011_06_13.zip http://icedtea.classpath.org/download/drops/jdk6-jaf-b20.zip http://icedtea.classpath.org/download/drops/jaxp144_04.zip http://icedtea.classpath.org/download/drops/cacao/68fe50ac34ec.tar.gz http://icedtea.classpath.org/download/drops/jamvm/jamvm-0972452d441544f7dd29c55d64f1ce3a5db90d82.tar.gz
_eclasses_=eutils f2731576962f01811c9573b3323fa374 fdo-mime 0acfe1a88fd8751a1d5dc671168219fa java-pkg-2 65bbb59987d777c1106ae8aa4bf36e7b java-utils-2 dcda71e114d638cdf01db57b8445337d java-vm-2 7dc6db7d110230640003e30e63a0b2bc multilib ded93e450747134a079e647d888aa80b pax-utils 0ace932c4045349c7fc1af0fe7091acf prefix 21058c21ca48453d771df15500873ede toolchain-funcs 69a2016af67775a812f4c03ba4b0e03e user d0a4d0735a6c0183d707ca919bd72f28 versionator 6601b4c5b3f019a993db59a50e1854e4 virtualx 73cfc129b4b9ba23aed1abb10c825d86
_md5_=8fb6e035fc1947344e67310600e12eb7

@ -1,4 +1,4 @@
DEFINED_PHASES=configure prepare
DEFINED_PHASES=configure prepare test
DEPEND=dev-libs/expat virtual/libffi doc? ( app-doc/doxygen ) || ( >=sys-devel/automake-1.11.1:1.11 >=sys-devel/automake-1.12:1.12 ) >=sys-devel/autoconf-2.68 sys-devel/libtool
DESCRIPTION=Wayland protocol libraries
EAPI=4
@ -10,4 +10,4 @@ RDEPEND=dev-libs/expat virtual/libffi
SLOT=0
SRC_URI=http://wayland.freedesktop.org/releases/wayland-1.0.4.tar.xz
_eclasses_=autotools cf83655b19ed98f9ea3b44f4572b51a3 libtool 2b273eea1976cfaed3449345d94331ac multilib ded93e450747134a079e647d888aa80b multiprocessing a2130e6fc4aa4c6a24b265ca0cbcc2b6 toolchain-funcs 69a2016af67775a812f4c03ba4b0e03e
_md5_=0ced18dfbb70358e571400f1ab538d62
_md5_=8ba912541583c589d70f09e3e2b3703a

@ -0,0 +1,14 @@
DEFINED_PHASES=compile configure install prepare setup test unpack
DEPEND=test? ( ruby_targets_ruby18? ( >=dev-ruby/railties-3.0[ruby_targets_ruby18] >=dev-ruby/thor-0.14[ruby_targets_ruby18] ) ruby_targets_ruby19? ( >=dev-ruby/railties-3.0[ruby_targets_ruby19] >=dev-ruby/thor-0.14[ruby_targets_ruby19] ) ruby_targets_ree18? ( >=dev-ruby/railties-3.0[ruby_targets_ree18] >=dev-ruby/thor-0.14[ruby_targets_ree18] ) ) ruby_targets_ruby18? ( dev-lang/ruby:1.8 ) ruby_targets_ruby19? ( dev-lang/ruby:1.9 ) ruby_targets_ree18? ( dev-lang/ruby-enterprise:1.8 ) ruby_targets_ruby18? ( virtual/rubygems[ruby_targets_ruby18] ) ruby_targets_ruby19? ( virtual/rubygems[ruby_targets_ruby19] ) ruby_targets_ree18? ( virtual/rubygems[ruby_targets_ree18] ) test? ( ruby_targets_ruby18? ( virtual/rubygems[ruby_targets_ruby18] ) ruby_targets_ruby19? ( virtual/rubygems[ruby_targets_ruby19] ) ruby_targets_ree18? ( virtual/rubygems[ruby_targets_ree18] ) )
DESCRIPTION=jQuery! For Rails! So great.
EAPI=5
HOMEPAGE=http://www.rubyonrails.org
IUSE=test elibc_FreeBSD ruby_targets_ruby18 ruby_targets_ruby19 ruby_targets_ree18 test
KEYWORDS=~amd64 ~arm ~x86 ~x64-macos
LICENSE=MIT
RDEPEND=ruby_targets_ruby18? ( >=dev-ruby/railties-3.0[ruby_targets_ruby18] >=dev-ruby/thor-0.14[ruby_targets_ruby18] ) ruby_targets_ruby19? ( >=dev-ruby/railties-3.0[ruby_targets_ruby19] >=dev-ruby/thor-0.14[ruby_targets_ruby19] ) ruby_targets_ree18? ( >=dev-ruby/railties-3.0[ruby_targets_ree18] >=dev-ruby/thor-0.14[ruby_targets_ree18] ) ruby_targets_ruby18? ( dev-lang/ruby:1.8 ) ruby_targets_ruby19? ( dev-lang/ruby:1.9 ) ruby_targets_ree18? ( dev-lang/ruby-enterprise:1.8 ) ruby_targets_ruby18? ( virtual/rubygems[ruby_targets_ruby18] ) ruby_targets_ruby19? ( virtual/rubygems[ruby_targets_ruby19] ) ruby_targets_ree18? ( virtual/rubygems[ruby_targets_ree18] )
REQUIRED_USE=|| ( ruby_targets_ruby18 ruby_targets_ruby19 ruby_targets_ree18 )
SLOT=2
SRC_URI=mirror://rubygems/jquery-rails-2.2.1.gem
_eclasses_=eutils f2731576962f01811c9573b3323fa374 java-utils-2 dcda71e114d638cdf01db57b8445337d multilib ded93e450747134a079e647d888aa80b ruby-fakegem 2785c639b173dd603e95bd60b8d6c4c0 ruby-ng 10ca07a887e226622062d89bb959a175 toolchain-funcs 69a2016af67775a812f4c03ba4b0e03e user d0a4d0735a6c0183d707ca919bd72f28 versionator 6601b4c5b3f019a993db59a50e1854e4
_md5_=73ea4a842688021b86305df3197576f5

@ -0,0 +1,14 @@
DEFINED_PHASES=compile configure install postinst prepare setup unpack
DEPEND=!<x11-base/xorg-server-1.7 !<=x11-proto/xf86driproto-2.0.3 classic? ( app-admin/eselect-mesa ) gallium? ( app-admin/eselect-mesa ) >=app-admin/eselect-opengl-1.2.7 dev-libs/expat gbm? ( virtual/udev ) >=x11-libs/libX11-1.3.99.901 x11-libs/libXdamage x11-libs/libXext x11-libs/libXxf86vm >=x11-libs/libxcb-1.8.1 vdpau? ( >=x11-libs/libvdpau-0.4.1 ) wayland? ( >=dev-libs/wayland-1.0.3 ) xorg? ( x11-base/xorg-server x11-libs/libdrm[libkms] ) xvmc? ( >=x11-libs/libXvMC-1.0.6 ) >=x11-libs/libdrm-2.4.42[video_cards_nouveau?,video_cards_vmware?] video_cards_i915? ( >=x11-libs/libdrm-2.4.42[video_cards_intel] ) video_cards_i965? ( >=x11-libs/libdrm-2.4.42[video_cards_intel] ) video_cards_intel? ( >=x11-libs/libdrm-2.4.42[video_cards_intel] ) video_cards_r100? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_r200? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_r300? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_r600? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_radeon? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_radeonsi? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) llvm? ( >=sys-devel/llvm-2.9 r600-llvm-compiler? ( >=sys-devel/llvm-3.1 ) video_cards_radeonsi? ( >=sys-devel/llvm-3.1 ) ) =dev-lang/python-2* dev-libs/libxml2[python] sys-devel/bison sys-devel/flex virtual/pkgconfig >=x11-proto/dri2proto-2.6 >=x11-proto/glproto-1.4.15-r1 >=x11-proto/xextproto-7.0.99.1 x11-proto/xf86driproto x11-proto/xf86vidmodeproto || ( >=sys-devel/automake-1.11.1:1.11 >=sys-devel/automake-1.12:1.12 ) >=sys-devel/autoconf-2.68 sys-devel/libtool
DESCRIPTION=OpenGL-like graphic library for Linux
EAPI=5
HOMEPAGE=http://mesa3d.sourceforge.net/
IUSE=video_cards_i915 video_cards_i965 video_cards_intel video_cards_r100 video_cards_r200 video_cards_r300 video_cards_r600 video_cards_radeon video_cards_radeonsi video_cards_nouveau video_cards_vmware bindist +classic debug +egl +gallium gbm gles1 gles2 +llvm +nptl openvg osmesa pax_kernel pic r600-llvm-compiler selinux +shared-glapi vdpau wayland xvmc xa xorg kernel_FreeBSD
KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris
LICENSE=MIT SGI-B-2.0
RDEPEND=!<x11-base/xorg-server-1.7 !<=x11-proto/xf86driproto-2.0.3 classic? ( app-admin/eselect-mesa ) gallium? ( app-admin/eselect-mesa ) >=app-admin/eselect-opengl-1.2.7 dev-libs/expat gbm? ( virtual/udev ) >=x11-libs/libX11-1.3.99.901 x11-libs/libXdamage x11-libs/libXext x11-libs/libXxf86vm >=x11-libs/libxcb-1.8.1 vdpau? ( >=x11-libs/libvdpau-0.4.1 ) wayland? ( >=dev-libs/wayland-1.0.3 ) xorg? ( x11-base/xorg-server x11-libs/libdrm[libkms] ) xvmc? ( >=x11-libs/libXvMC-1.0.6 ) >=x11-libs/libdrm-2.4.42[video_cards_nouveau?,video_cards_vmware?] video_cards_i915? ( >=x11-libs/libdrm-2.4.42[video_cards_intel] ) video_cards_i965? ( >=x11-libs/libdrm-2.4.42[video_cards_intel] ) video_cards_intel? ( >=x11-libs/libdrm-2.4.42[video_cards_intel] ) video_cards_r100? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_r200? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_r300? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_r600? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_radeon? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] ) video_cards_radeonsi? ( >=x11-libs/libdrm-2.4.42[video_cards_radeon] )
REQUIRED_USE=llvm? ( gallium ) openvg? ( egl gallium ) gbm? ( shared-glapi ) gles1? ( egl ) gles2? ( egl ) r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeon ) ) xa? ( gallium ) xorg? ( gallium ) video_cards_intel? ( || ( classic gallium ) ) video_cards_i915? ( || ( classic gallium ) ) video_cards_i965? ( classic ) video_cards_nouveau? ( || ( classic gallium ) ) video_cards_radeon? ( || ( classic gallium ) ) video_cards_r100? ( classic ) video_cards_r200? ( classic ) video_cards_r300? ( gallium ) video_cards_r600? ( gallium ) video_cards_radeonsi? ( gallium llvm ) video_cards_vmware? ( gallium )
SLOT=0
SRC_URI=ftp://ftp.freedesktop.org/pub/mesa/9.1/MesaLib-9.1-devel.tar.bz2
_eclasses_=autotools cf83655b19ed98f9ea3b44f4572b51a3 base ec46b36a6f6fd1d0b505a33e0b74e413 eutils f2731576962f01811c9573b3323fa374 flag-o-matic d900015de4e092f26d8c0a18b6bd60de libtool 2b273eea1976cfaed3449345d94331ac multilib ded93e450747134a079e647d888aa80b multiprocessing a2130e6fc4aa4c6a24b265ca0cbcc2b6 toolchain-funcs 69a2016af67775a812f4c03ba4b0e03e user d0a4d0735a6c0183d707ca919bd72f28
_md5_=f9f69eb42f35e4698284b1d212d1e717

@ -1,8 +0,0 @@
DEFINED_PHASES=install
DESCRIPTION=firmware for Hauppauge PVR-x50 and Conexant 2341x based cards
HOMEPAGE=http://www.ivtvdriver.org/index.php/Firmware
KEYWORDS=amd64 ppc x86
LICENSE=Hauppauge-Firmware
SLOT=0
SRC_URI=http://dl.ivtvdriver.org/ivtv/firmware/ivtv-firmware-20080701.tar.gz
_md5_=5329fc6539d1ad4fbcd112c965f89de0

@ -1 +1 @@
Mon, 11 Feb 2013 05:07:01 +0000
Mon, 11 Feb 2013 07:36:54 +0000

@ -1 +1 @@
Mon Feb 11 05:06:58 UTC 2013
Mon Feb 11 07:36:51 UTC 2013

@ -1 +1 @@
Mon, 11 Feb 2013 05:30:01 +0000
Mon, 11 Feb 2013 08:00:01 +0000

@ -1 +1 @@
1360559101 Mon Feb 11 05:05:01 2013 UTC
1360568101 Mon Feb 11 07:35:01 2013 UTC

@ -1,5 +1,5 @@
####################################################################
# $Header: /var/cvsroot/gentoo-x86/profiles/package.mask,v 1.14456 2013/02/10 21:52:43 mattst88 Exp $
# $Header: /var/cvsroot/gentoo-x86/profiles/package.mask,v 1.14457 2013/02/11 05:36:16 cardoe Exp $
#
# When you add an entry to the top of this file, add your name, the date, and
# an explanation of why something is getting masked. Please be extremely
@ -31,6 +31,11 @@
#--- END OF EXAMPLES ---
# Doug Goldstein <cardoe@gentoo.org> (10 Feb 2013)
# Use the in-kernel saa717x driver, available since at least 2.6.25
# Removal in 30 days
media-tv/ivtv
# Matt Turner <mattst88@gentoo.org> (10 Feb 2013)
# Use the in-kernel AT76C50X_USB driver.
# Removal in 30 days.

Loading…
Cancel
Save